<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:background="#9F998F">

    <ImageView
        android:id="@+id/iv_rewind"
        android:layout_width="30dp"
        android:layout_height="30dp"
        android:src="@drawable/course_rewind_15"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/iv_fast_forward"
        android:layout_width="30dp"
        android:layout_height="30dp"
        android:src="@drawable/course_fast_forward_15"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <SeekBar
        android:id="@+id/seekbar"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:maxHeight="3dp"
        android:minHeight="3dp"
        android:paddingStart="10dp"
        android:paddingEnd="10dp"
        android:progress="0"
        android:progressDrawable="@drawable/course_seekbar"
        android:thumb="@drawable/course_seekbar_dot"
        app:layout_constraintBottom_toBottomOf="@id/iv_rewind"
        app:layout_constraintEnd_toStartOf="@id/iv_fast_forward"
        app:layout_constraintStart_toEndOf="@id/iv_rewind"
        app:layout_constraintTop_toTopOf="@id/iv_rewind" />

    <TextView
        android:id="@+id/tv_progress"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textColor="@android:color/white"
        android:textSize="12sp"
        app:layout_constraintStart_toStartOf="@id/seekbar"
        app:layout_constraintTop_toBottomOf="@id/seekbar"
        tools:text="00:00" />

    <TextView
        android:id="@+id/tv_duration"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textColor="@android:color/white"
        android:textSize="12sp"
        app:layout_constraintEnd_toEndOf="@id/seekbar"
        app:layout_constraintTop_toBottomOf="@id/seekbar"
        tools:text="00:00" />

    <androidx.constraintlayout.utils.widget.ImageFilterView
        android:id="@+id/iv_bg"
        android:layout_width="66dp"
        android:layout_height="66dp"
        android:layout_marginTop="20dp"
        android:background="@android:color/white"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_progress"
        app:roundPercent="1" />

    <ImageView
        android:id="@+id/iv_play_status"
        android:layout_width="30dp"
        android:layout_height="30dp"
        app:layout_constraintBottom_toBottomOf="@id/iv_bg"
        app:layout_constraintEnd_toEndOf="@id/iv_bg"
        app:layout_constraintStart_toStartOf="@id/iv_bg"
        app:layout_constraintTop_toTopOf="@id/iv_bg"
        tools:src="@drawable/course_play" />

    <ImageView
        android:id="@+id/iv_pre"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:layout_marginEnd="36dp"
        android:padding="12dp"
        android:src="@drawable/course_pre"
        app:layout_constraintBottom_toBottomOf="@id/iv_bg"
        app:layout_constraintEnd_toStartOf="@id/iv_bg"
        app:layout_constraintTop_toTopOf="@id/iv_bg" />

    <ImageView
        android:id="@+id/iv_next"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:layout_marginStart="36dp"
        android:padding="12dp"
        android:src="@drawable/course_next"
        app:layout_constraintBottom_toBottomOf="@id/iv_bg"
        app:layout_constraintStart_toEndOf="@id/iv_bg"
        app:layout_constraintTop_toTopOf="@id/iv_bg" />

</androidx.constraintlayout.widget.ConstraintLayout>